<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>女性のためのラーメンデータベース | 検索結果</title>
    <!-- header.cssの読み込み -->
    <link href="css/header.css" rel="stylesheet" type="text/css" />
    <!-- top.css 読み込み -->
    <link href="css/top.css" rel="stylesheet" type="text/css" />
    <!-- BootstrapのCSS読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<!-- ヘッダー -->
<header>
    <nav class="navbar navbar-dark navbar-expand  flex-md-row justify-content-end header-one">
        <ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
            <li class="nav-item active">
                <!-- ページタイトル、スレッド一覧へのリンク -->
                <a class="nav-link" href="Top">女性のためのラーメンデータベース</a>
            </li>
        </ul>
        <ul class="navbar-nav flex-row">
            <!-- ログインユーザー名表示、更新ページへのリンク -->
            <li class="nav-item"><a class="nav-link" href="UsePostList">${userInfo.name}さん</a></li>
            <!-- ログアウトリンク -->
            <li class="nav-item"><a class="nav-link" href="Logout">ログアウト</a>
            </li>
        </ul>
    </nav>
</header>

<div class="container mt-5">
    <div class="offset-1 row h-100 bg-warning rounded">
        <div class="col-6">

            <input type="hidden" name="postId" value="${postId.postId}">
            <h1>${shopId.shopName}</h1>
        </div>
        <div class="col-3">
            <h2><a class="p-md-1 rounded-circle border scoreC">${}</a></h2>
        </div>
        <div class="col-2">
            <h2><a class="rounded-0 p-md-1 border rankC">1位</a></h2>
        </div>
    </div>

    <div class="offset-1 row mt-2 bgc2 rounded">
        <div class="col-5 mt-3">
            <canvas id="myChart"></canvas>
        </div>
        <div class="col-6">
            <div class="row pt-md-5">
                <img src="https://free-materials.com/adm/wp-content/uploads/2019/10/adpDSC_0023-1024x683.jpg"
                    class="card-img-top col-6" alt="塩ラーメン">
                <img src="https://free-materials.com/adm/wp-content/uploads/2019/10/adpDSC_0023-1024x683.jpg"
                    class="card-img-top col-6" alt="塩ラーメン">
            </div>
            <div class="row py-md-4 pb-md-2">
                <img src="https://free-materials.com/adm/wp-content/uploads/2019/10/adpDSC_0023-1024x683.jpg"
                    class="card-img-top col-6" alt="塩ラーメン">
                <img src="https://free-materials.com/adm/wp-content/uploads/2019/10/adpDSC_0023-1024x683.jpg"
                    class="card-img-top col-6" alt="塩ラーメン">
            </div>

            <a type="button" class="btn  btn-outline-warning btn-block mb-md-3" href="ShopPostList?shopId=${shopId.shopName}">
                <h3>投稿一覧へ</h3>
            </a>
        </div>
    </div>

</div>
</body>

</html>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.bundle.js"></script>
<script>

    var ctx = document.getElementById("myChart"); // id要素でエリア指定
    var myChart = new Chart(ctx, {
        //グラフの種類
        type: 'radar',
        //データの設定
        data: {
            //データ項目のラベル
            labels: ["量", "コスパ", "接客", "内装", "女性の入りやすさ"],
            //データセット
            datasets: [{
                label: "",
                //背景色
                backgroundColor: "#ffc107",
                //枠線の色
                borderColor: "gray",
                //結合点の背景色
                pointBackgroundColor: "#ffc107",
                //結合点の枠線の色
                pointBorderColor: "#fff",
                //結合点の背景色（ホバ時）
                pointHoverBackgroundColor: "#fff",
                //結合点の枠線の色（ホバー時）
                pointHoverBorderColor: "#gray",
                //結合点より外でマウスホバーを認識する範囲（ピクセル単位）
                hitRadius: 5,
                //グラフのデータ  
                data: "<%=[100, 50, 60, 40, 89]%>",

            }]
        //オプションの設定
        options: {
            // レスポンシブ指定
            responsive: true,
            maintainAspectRatio: false,
            scale: {
                ticks: {
                    // 最小値の値を0指定
                    beginAtZero: true,
                    min: 0,
                    stepSize: 1,
                    // 最大値を指定
                    max: 5,
                },
                pointLabels: {
                    fontSize: 10
                }
            },
            //ラベル非表示
            legend: {
                display: false,
                fontSize: 15,
                labels: {
                    // このフォント設定はグローバルプロパティを上書きします。
                    fontSize: 14,
                }
            }

        }
    });

</script>